#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 50);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 3, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 4, 17, 50));

    valuer.Add(TestGroup(TestGroup::AllOrNothing, 18, 20, 5), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 21, 23, 5), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::ClassicScore, 24, 31, 40), TValuer::Offline);

    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" 0 -1 ");
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d", valuer.CalcScore(parser));

    valuer.SetValuerType(TValuer::FullScore);
    fprintf(stderr, "%d", valuer.CalcScore(parser));
    fprintf(stderr, " 0 -1 ");
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    fprintf(stderr, "%d", valuer.CalcScore(parser));

    return 0;
}
