#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 3, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 4, 13, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 14, 24, 30));

    valuer.Add(TestGroup(TestGroup::ClassicScore, 25, 28, 20), TValuer::Offline);

    valuer.Add(TestGroup(TestGroup::AllOrNothing, 29, 30, 5), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 31, 32, 5), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 33, 34, 5), TValuer::Offline);

    valuer.Add(TestGroup(TestGroup::ClassicScore, 35, 35, 5), TValuer::Offline);
    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" 0 -1 ");
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d", valuer.CalcScore(parser));

    fprintf(stderr, "%d", valuer.CalcScore(parser));
    fprintf(stderr, " 0 -1 ");
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    fprintf(stderr, "%d\n", valuer.CalcScore(parser));

    return 0;
}
