#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 3, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 4, 19, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 20, 29, 30));
    valuer.Add(TestGroup(TestGroup::ClassicScore, 30, 39, 40), TValuer::Offline);
    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" 0 -1 ");
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d", valuer.CalcScore(parser));

    return 0;
}
